> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Retrieve a single request schema by ID.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/request_schemas/{request_schema_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/request_schemas/{request_schema_id}:
    get:
      tags:
        - Request Schema
      summary: Get
      description: Retrieve a single request schema by ID.
      operationId: c1.api.request_schema.v1.RequestSchemaService.Get
      parameters:
        - in: path
          name: request_schema_id
          required: true
          schema:
            description: The unique identifier of the request schema to retrieve.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.request_schema.v1.RequestSchemaServiceGetResponse
          description: The response message for retrieving a request schema.
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestSchema.Get(ctx, operations.C1APIRequestSchemaV1RequestSchemaServiceGetRequest{\n        RequestSchemaID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestSchemaServiceGetResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestSchema.get({
                requestSchemaId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.request_schema.v1.RequestSchemaServiceGetResponse:
      description: The response message for retrieving a request schema.
      properties:
        requestSchema:
          $ref: '#/components/schemas/c1.api.request_schema.v1.RequestSchema'
      title: Request Schema Service Get Response
      type: object
      x-speakeasy-name-override: RequestSchemaServiceGetResponse
    c1.api.request_schema.v1.RequestSchema:
      description: >-
        A request schema defines a form template that users fill out when
        requesting access.
      properties:
        createdAt:
          format: date-time
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        form:
          $ref: '#/components/schemas/c1.api.form.v1.Form'
        id:
          description: The unique identifier of this request schema.
          readOnly: false
          type: string
        justificationVisibility:
          description: >-
            Controls whether the justification field is shown or hidden on the
            request form.
          enum:
            - JUSTIFICATION_VISIBILITY_UNSPECIFIED
            - JUSTIFICATION_VISIBILITY_SHOW
            - JUSTIFICATION_VISIBILITY_HIDE
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        modifiedAt:
          format: date-time
          readOnly: false
          type: string
      title: Request Schema
      type: object
      x-speakeasy-name-override: RequestSchema
    c1.api.form.v1.Form:
      description: A form is a collection of fields to be filled out by a user
      properties:
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        fieldGroups:
          description: The fieldGroups field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.FieldGroup'
          nullable: true
          readOnly: false
          type: array
        fieldRelationships:
          description: The fieldRelationships field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.FieldRelationship'
          nullable: true
          readOnly: false
          type: array
        fields:
          description: The fields field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.Field'
          nullable: true
          readOnly: false
          type: array
        id:
          description: The id field.
          readOnly: false
          type: string
      title: Form
      type: object
      x-speakeasy-entity: Request_Schema
      x-speakeasy-name-override: RequestSchemaForm
    c1.api.form.v1.FieldGroup:
      description: The FieldGroup message.
      properties:
        default:
          description: The default field.
          readOnly: false
          type: boolean
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        fields:
          description: The fields field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        helpText:
          description: The helpText field.
          readOnly: false
          type: string
        name:
          description: The name field.
          readOnly: false
          type: string
      title: Field Group
      type: object
      x-speakeasy-name-override: FormFieldGroup
    c1.api.form.v1.FieldRelationship:
      description: >
        FieldRelationships can be used during form validation, or they can
        represent
         information that is necessary to when it comes to visually rendering the form

        This message contains a oneof named kind. Only a single field of the
        following list may be set at a time:
          - requiredTogether
          - atLeastOne
          - mutuallyExclusive
          - dependentOn
      properties:
        atLeastOne:
          $ref: '#/components/schemas/c1.api.form.v1.AtLeastOne'
        dependentOn:
          $ref: '#/components/schemas/c1.api.form.v1.DependentOn'
        fieldNames:
          description: The names of the fields that share this relationship
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        mutuallyExclusive:
          $ref: '#/components/schemas/c1.api.form.v1.MutuallyExclusive'
        requiredTogether:
          $ref: '#/components/schemas/c1.api.form.v1.RequiredTogether'
      title: Field Relationship
      type: object
      x-speakeasy-name-override: FieldRelationship
    c1.api.form.v1.Field:
      description: >
        A field is a single input meant to collect a piece of data from a user


        This message contains a oneof named type. Only a single field of the
        following list may be set at a time:
          - stringField
          - boolField
          - stringSliceField
          - int64Field
          - fileField
          - oauth2Field
          - stringMapField


        This message contains a oneof named provider_config. Only a single field
        of the following list may be set at a time:
          - userConfig
          - adminConfig
          - sharedConfig
      properties:
        adminConfig:
          $ref: '#/components/schemas/c1.api.form.v1.AdminProviderConfig'
        boolField:
          $ref: '#/components/schemas/c1.api.form.v1.BoolField'
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        fileField:
          $ref: '#/components/schemas/c1.api.form.v1.FileField'
        int64Field:
          $ref: '#/components/schemas/c1.api.form.v1.Int64Field'
        name:
          description: The name field.
          readOnly: false
          type: string
        oauth2Field:
          $ref: '#/components/schemas/c1.api.form.v1.Oauth2Field'
        required:
          description: The required field.
          readOnly: false
          type: boolean
        sharedConfig:
          $ref: '#/components/schemas/c1.api.form.v1.SharedProviderConfig'
        stringField:
          $ref: '#/components/schemas/c1.api.form.v1.StringField'
        stringMapField:
          $ref: '#/components/schemas/c1.api.form.v1.StringMapField'
        stringSliceField:
          $ref: '#/components/schemas/c1.api.form.v1.StringSliceField'
        userConfig:
          $ref: '#/components/schemas/c1.api.form.v1.UserProviderConfig'
      title: Field
      type: object
      x-speakeasy-name-override: FormField
    c1.api.form.v1.AtLeastOne:
      description: The AtLeastOne message.
      nullable: true
      title: At Least One
      type: object
      x-speakeasy-name-override: AtLeastOne
    c1.api.form.v1.DependentOn:
      description: |-
        DependentOn means the fields in field_names are only valid if all fields
         in dependency_field_names are also present
      nullable: true
      properties:
        dependencyFieldNames:
          description: >-
            The fields that must be present for the primary field_names to be
            valid
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Dependent On
      type: object
      x-speakeasy-name-override: DependentOn
    c1.api.form.v1.MutuallyExclusive:
      description: The MutuallyExclusive message.
      nullable: true
      title: Mutually Exclusive
      type: object
      x-speakeasy-name-override: MutuallyExclusive
    c1.api.form.v1.RequiredTogether:
      description: The RequiredTogether message.
      nullable: true
      title: Required Together
      type: object
      x-speakeasy-name-override: RequiredTogether
    c1.api.form.v1.AdminProviderConfig:
      description: The AdminProviderConfig message.
      nullable: true
      properties:
        defaultValueCel:
          description: The defaultValueCel field.
          readOnly: false
          type: string
        showToUser:
          description: The showToUser field.
          readOnly: false
          type: boolean
      title: Admin Provider Config
      type: object
      x-speakeasy-name-override: AdminProviderConfig
    c1.api.form.v1.BoolField:
      description: >
        The BoolField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - checkboxField
          - toggleField
      nullable: true
      properties:
        checkboxField:
          $ref: '#/components/schemas/c1.api.form.v1.CheckboxField'
        defaultValue:
          description: The defaultValue field.
          readOnly: false
          type: boolean
        rules:
          $ref: '#/components/schemas/validate.BoolRules'
        toggleField:
          $ref: '#/components/schemas/c1.api.form.v1.ToggleField'
      title: Bool Field
      type: object
      x-speakeasy-name-override: BoolField
    c1.api.form.v1.FileField:
      description: >
        The FileField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - fileInputField
      nullable: true
      properties:
        acceptedFileTypes:
          description: The acceptedFileTypes field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        fileInputField:
          $ref: '#/components/schemas/c1.api.form.v1.FileInputField'
        maxFileSize:
          description: The maxFileSize field.
          format: int64
          nullable: true
          readOnly: false
          type: string
      title: File Field
      type: object
      x-speakeasy-name-override: FileField
    c1.api.form.v1.Int64Field:
      description: >
        The Int64Field message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - numberField
      nullable: true
      properties:
        defaultValue:
          description: The defaultValue field.
          format: int64
          nullable: true
          readOnly: false
          type: string
        numberField:
          $ref: '#/components/schemas/c1.api.form.v1.NumberField'
        placeholder:
          description: The placeholder field.
          readOnly: false
          type: string
        rules:
          $ref: '#/components/schemas/validate.Int64Rules'
      title: Int 64 Field
      type: object
      x-speakeasy-name-override: Int64Field
    c1.api.form.v1.Oauth2Field:
      description: >
        The Oauth2Field message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - oauth2FieldView
      nullable: true
      properties:
        oauth2FieldView:
          $ref: '#/components/schemas/c1.api.form.v1.Oauth2FieldView'
      title: Oauth 2 Field
      type: object
      x-speakeasy-name-override: Oauth2Field
    c1.api.form.v1.SharedProviderConfig:
      description: The SharedProviderConfig message.
      nullable: true
      properties:
        defaultValueCel:
          description: The defaultValueCel field.
          readOnly: false
          type: string
        inputTransformationCel:
          description: The inputTransformationCel field.
          readOnly: false
          type: string
        lockDefaultValues:
          description: The lockDefaultValues field.
          readOnly: false
          type: boolean
      title: Shared Provider Config
      type: object
      x-speakeasy-name-override: SharedProviderConfig
    c1.api.form.v1.StringField:
      description: >
        The StringField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - textField
          - passwordField
          - selectField
          - pickerField
      nullable: true
      properties:
        defaultValue:
          description: The defaultValue field.
          readOnly: false
          type: string
        passwordField:
          $ref: '#/components/schemas/c1.api.form.v1.PasswordField'
        pickerField:
          $ref: '#/components/schemas/c1.api.form.v1.PickerField'
        placeholder:
          description: The placeholder field.
          readOnly: false
          type: string
        rules:
          $ref: '#/components/schemas/validate.StringRules'
        selectField:
          $ref: '#/components/schemas/c1.api.form.v1.SelectField'
        textField:
          $ref: '#/components/schemas/c1.api.form.v1.TextField'
      title: String Field
      type: object
      x-speakeasy-name-override: FormStringField
    c1.api.form.v1.StringMapField:
      description: The StringMapField message.
      nullable: true
      properties:
        defaultValue:
          additionalProperties:
            type: string
          description: The defaultValue field.
          readOnly: false
          type: object
        rules:
          $ref: '#/components/schemas/c1.api.form.v1.StringMapRules'
      title: String Map Field
      type: object
      x-speakeasy-name-override: FormStringMapField
    c1.api.form.v1.StringSliceField:
      description: >
        The StringSliceField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - chipsField
          - pickerField
      nullable: true
      properties:
        chipsField:
          $ref: '#/components/schemas/c1.api.form.v1.ChipsField'
        defaultValues:
          description: The defaultValues field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        pickerField:
          $ref: '#/components/schemas/c1.api.form.v1.PickerField'
        placeholder:
          description: The placeholder field.
          readOnly: false
          type: string
        rules:
          $ref: '#/components/schemas/validate.RepeatedRules'
      title: String Slice Field
      type: object
      x-speakeasy-name-override: StringSliceField
    c1.api.form.v1.UserProviderConfig:
      description: The UserProviderConfig message.
      nullable: true
      properties:
        inputTransformationCel:
          description: The inputTransformationCel field.
          readOnly: false
          type: string
      title: User Provider Config
      type: object
      x-speakeasy-name-override: UserProviderConfig
    c1.api.form.v1.CheckboxField:
      description: The CheckboxField message.
      nullable: true
      title: Checkbox Field
      type: object
      x-speakeasy-name-override: CheckboxField
    validate.BoolRules:
      description: BoolRules describes the constraints applied to `bool` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: boolean
      title: Bool Rules
      type: object
      x-speakeasy-name-override: BoolRules
    c1.api.form.v1.ToggleField:
      description: The ToggleField message.
      nullable: true
      title: Toggle Field
      type: object
      x-speakeasy-name-override: ToggleField
    c1.api.form.v1.FileInputField:
      description: The FileInputField message.
      nullable: true
      title: File Input Field
      type: object
      x-speakeasy-name-override: FileInputField
    c1.api.form.v1.NumberField:
      description: The NumberField message.
      nullable: true
      properties:
        maxValue:
          description: The maxValue field.
          format: int64
          readOnly: false
          type: string
        minValue:
          description: The minValue field.
          format: int64
          readOnly: false
          type: string
        step:
          description: The step field.
          format: int64
          readOnly: false
          type: string
      title: Number Field
      type: object
      x-speakeasy-name-override: NumberField
    validate.Int64Rules:
      description: Int64Rules describes the constraints applied to `int64` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int64
          readOnly: false
          type: string
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int64
          readOnly: false
          type: string
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int64
          readOnly: false
          type: string
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Int 64 Rules
      type: object
      x-speakeasy-name-override: Int64Rules
    c1.api.form.v1.Oauth2FieldView:
      description: The Oauth2FieldView message.
      nullable: true
      title: Oauth 2 Field View
      type: object
      x-speakeasy-name-override: Oauth2FieldView
    c1.api.form.v1.PasswordField:
      description: The PasswordField message.
      nullable: true
      title: Password Field
      type: object
      x-speakeasy-name-override: PasswordField
    c1.api.form.v1.PickerField:
      description: >
        The PickerField message.


        This message contains a oneof named type. Only a single field of the
        following list may be set at a time:
          - appUserPicker
          - resourcePicker
          - c1UserPicker
      nullable: true
      properties:
        appUserPicker:
          $ref: '#/components/schemas/c1.api.form.v1.AppUserFilter'
        c1UserPicker:
          $ref: '#/components/schemas/c1.api.form.v1.C1UserFilter'
        resourcePicker:
          $ref: '#/components/schemas/c1.api.form.v1.AppResourceFilter'
      title: Picker Field
      type: object
      x-speakeasy-name-override: PickerField
    validate.StringRules:
      description: >
        StringRules describe the constraints applied to `string` values


        This message contains a oneof named well_known. Only a single field of
        the following list may be set at a time:
          - email
          - hostname
          - ip
          - ipv4
          - ipv6
          - uri
          - uriRef
          - address
          - uuid
          - wellKnownRegex
      nullable: true
      properties:
        address:
          description: |-
            Address specifies that the field must be either a valid hostname as
             defined by RFC 1034 (which does not support internationalized domain
             names or IDNs), or it can be a valid IP (v4 or v6).
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: string
        contains:
          description: |-
            Contains specifies that this field must have the specified substring
             anywhere in the string.
          readOnly: false
          type: string
        email:
          description: |-
            Email specifies that the field must be a valid email address as
             defined by RFC 5322
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        hostname:
          description: |-
            Hostname specifies that the field must be a valid hostname as
             defined by RFC 1034. This constraint does not support
             internationalized domain names (IDNs).
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        ip:
          description: |-
            Ip specifies that the field must be a valid IP (v4 or v6) address.
             Valid IPv6 addresses should not include surrounding square brackets.
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv4:
          description: |-
            Ipv4 specifies that the field must be a valid IPv4 address.
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv6:
          description: |-
            Ipv6 specifies that the field must be a valid IPv6 address. Valid
             IPv6 addresses should not include surrounding square brackets.
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        len:
          description: |-
            Len specifies that this field must be the specified number of
             characters (Unicode code points). Note that the number of
             characters may differ from the number of bytes in the string.
          format: uint64
          readOnly: false
          type: string
        lenBytes:
          description: >-
            LenBytes specifies that this field must be the specified number of
            bytes
             at a minimum
          format: uint64
          readOnly: false
          type: string
        maxBytes:
          description: >-
            MaxBytes specifies that this field must be the specified number of
            bytes
             at a maximum
          format: uint64
          readOnly: false
          type: string
        maxLen:
          description: |-
            MaxLen specifies that this field must be the specified number of
             characters (Unicode code points) at a maximum. Note that the number of
             characters may differ from the number of bytes in the string.
          format: uint64
          readOnly: false
          type: string
        minBytes:
          description: >-
            MinBytes specifies that this field must be the specified number of
            bytes
             at a minimum
          format: uint64
          readOnly: false
          type: string
        minLen:
          description: |-
            MinLen specifies that this field must be the specified number of
             characters (Unicode code points) at a minimum. Note that the number of
             characters may differ from the number of bytes in the string.
          format: uint64
          readOnly: false
          type: string
        notContains:
          description: >-
            NotContains specifies that this field cannot have the specified
            substring
             anywhere in the string.
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        pattern:
          description: |-
            Pattern specifes that this field must match against the specified
             regular expression (RE2 syntax). The included expression should elide
             any delimiters.
          readOnly: false
          type: string
        prefix:
          description: >-
            Prefix specifies that this field must have the specified substring
            at
             the beginning of the string.
          readOnly: false
          type: string
        strict:
          description: >-
            This applies to regexes HTTP_HEADER_NAME and HTTP_HEADER_VALUE to
            enable
             strict header validation.
             By default, this is true, and HTTP header validations are RFC-compliant.
             Setting to false will enable a looser validations that only disallows
             \r\n\0 characters, which can be used to bypass header matching rules.
          readOnly: false
          type: boolean
        suffix:
          description: >-
            Suffix specifies that this field must have the specified substring
            at
             the end of the string.
          readOnly: false
          type: string
        uri:
          description: >-
            Uri specifies that the field must be a valid, absolute URI as
            defined
             by RFC 3986
            This field is part of the `well_known` oneof.

            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        uriRef:
          description: >-
            UriRef specifies that the field must be a valid URI as defined by
            RFC
             3986 and may be relative or absolute.
            This field is part of the `well_known` oneof.

            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        uuid:
          description: |-
            Uuid specifies that the field must be a valid UUID as defined by
             RFC 4122
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        wellKnownRegex:
          description: >-
            WellKnownRegex specifies a common well known pattern defined as a
            regex.

            This field is part of the `well_known` oneof.

            See the documentation for `validate.StringRules` for more details.
          enum:
            - UNKNOWN
            - HTTP_HEADER_NAME
            - HTTP_HEADER_VALUE
          nullable: true
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: String Rules
      type: object
      x-speakeasy-name-override: StringRules
    c1.api.form.v1.SelectField:
      description: The SelectField message.
      nullable: true
      properties:
        options:
          description: The options field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.SelectOption'
          nullable: true
          readOnly: false
          type: array
        type:
          description: The type field.
          enum:
            - SELECT_TYPE_UNSPECIFIED
            - SELECT_TYPE_DROPDOWN
            - SELECT_TYPE_RADIO
            - SELECT_TYPE_BUTTONS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Select Field
      type: object
      x-speakeasy-name-override: SelectField
    c1.api.form.v1.TextField:
      description: The TextField message.
      nullable: true
      properties:
        multiline:
          description: The multiline field.
          readOnly: false
          type: boolean
        suffix:
          description: >-
            Static text displayed as an end adornment (e.g. ".example.com" for
            domain fields).
          nullable: true
          readOnly: false
          type: string
      title: Text Field
      type: object
      x-speakeasy-name-override: TextField
    c1.api.form.v1.StringMapRules:
      description: The StringMapRules message.
      nullable: true
      properties:
        isRequired:
          description: The isRequired field.
          readOnly: false
          type: boolean
        validateEmpty:
          description: The validateEmpty field.
          readOnly: false
          type: boolean
      title: String Map Rules
      type: object
      x-speakeasy-name-override: StringMapRules
    c1.api.form.v1.ChipsField:
      description: The ChipsField message.
      nullable: true
      title: Chips Field
      type: object
      x-speakeasy-name-override: ChipsField
    validate.RepeatedRules:
      description: RepeatedRules describe the constraints applied to `repeated` values
      nullable: true
      properties:
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        items:
          $ref: '#/components/schemas/validate.FieldRules'
        maxItems:
          description: |-
            MaxItems specifies that this field must have the specified number of
             items at a maximum
          format: uint64
          readOnly: false
          type: string
        minItems:
          description: |-
            MinItems specifies that this field must have the specified number of
             items at a minimum
          format: uint64
          readOnly: false
          type: string
        unique:
          description: >-
            Unique specifies that all elements in this field must be unique.
            This
             contraint is only applicable to scalar and enum types (messages are not
             supported).
          readOnly: false
          type: boolean
      title: Repeated Rules
      type: object
      x-speakeasy-name-override: RepeatedRules
    c1.api.form.v1.AppUserFilter:
      description: The AppUserFilter message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
      title: App User Filter
      type: object
      x-speakeasy-name-override: AppUserFilter
    c1.api.form.v1.C1UserFilter:
      description: >-
        C1UserFilter is used to configure a picker for selecting ConductorOne
        users.
         This is distinct from AppUserFilter which selects accounts within a connected app.
      nullable: true
      title: C 1 User Filter
      type: object
      x-speakeasy-name-override: C1UserFilter
    c1.api.form.v1.AppResourceFilter:
      description: The AppResourceFilter message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        resourceTypeId:
          description: The resourceTypeId field.
          readOnly: false
          type: string
      title: App Resource Filter
      type: object
      x-speakeasy-name-override: AppResourceFilter
    c1.api.form.v1.SelectOption:
      description: The SelectOption message.
      properties:
        description:
          description: Used for type BUTTONS
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        value:
          description: The value field.
          readOnly: false
          type: string
      title: Select Option
      type: object
      x-speakeasy-name-override: SelectOption
    validate.FieldRules:
      description: >
        FieldRules encapsulates the rules for each type of field. Depending on
        the
         field, the correct set should be used to ensure proper validations.

        This message contains a oneof named type. Only a single field of the
        following list may be set at a time:
          - float
          - double
          - int32
          - int64
          - uint32
          - uint64
          - sint32
          - sint64
          - fixed32
          - fixed64
          - sfixed32
          - sfixed64
          - bool
          - string
          - bytes
          - enum
          - repeated
          - map
          - any
          - duration
          - timestamp
      properties:
        any:
          $ref: '#/components/schemas/validate.AnyRules'
        bool:
          $ref: '#/components/schemas/validate.BoolRules'
        bytes:
          $ref: '#/components/schemas/validate.BytesRules'
        double:
          $ref: '#/components/schemas/validate.DoubleRules'
        duration:
          $ref: '#/components/schemas/validate.DurationRules'
        enum:
          $ref: '#/components/schemas/validate.EnumRules'
        fixed32:
          $ref: '#/components/schemas/validate.Fixed32Rules'
        fixed64:
          $ref: '#/components/schemas/validate.Fixed64Rules'
        float:
          $ref: '#/components/schemas/validate.FloatRules'
        int32:
          $ref: '#/components/schemas/validate.Int32Rules'
        int64:
          $ref: '#/components/schemas/validate.Int64Rules'
        map:
          $ref: '#/components/schemas/validate.MapRules'
        message:
          $ref: '#/components/schemas/validate.MessageRules'
        repeated:
          $ref: '#/components/schemas/validate.RepeatedRules'
        sfixed32:
          $ref: '#/components/schemas/validate.SFixed32Rules'
        sfixed64:
          $ref: '#/components/schemas/validate.SFixed64Rules'
        sint32:
          $ref: '#/components/schemas/validate.SInt32Rules'
        sint64:
          $ref: '#/components/schemas/validate.SInt64Rules'
        string:
          $ref: '#/components/schemas/validate.StringRules'
        timestamp:
          $ref: '#/components/schemas/validate.TimestampRules'
        uint32:
          $ref: '#/components/schemas/validate.UInt32Rules'
        uint64:
          $ref: '#/components/schemas/validate.UInt64Rules'
      title: Field Rules
      type: object
      x-speakeasy-name-override: FieldRules
    validate.AnyRules:
      description: |-
        AnyRules describe constraints applied exclusively to the
         `google.protobuf.Any` well-known type
      nullable: true
      properties:
        in:
          description: >-
            In specifies that this field's `type_url` must be equal to one of
            the
             specified values.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        notIn:
          description: >-
            NotIn specifies that this field's `type_url` must not be equal to
            any of
             the specified values.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        required:
          description: Required specifies that this field must be set
          readOnly: false
          type: boolean
      title: Any Rules
      type: object
      x-speakeasy-name-override: AnyRules
    validate.BytesRules:
      description: >
        BytesRules describe the constraints applied to `bytes` values


        This message contains a oneof named well_known. Only a single field of
        the following list may be set at a time:
          - ip
          - ipv4
          - ipv6
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: base64
          readOnly: false
          type: string
        contains:
          description: |-
            Contains specifies that this field must have the specified bytes
             anywhere in the string.
          format: base64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: base64
            type: string
          nullable: true
          readOnly: false
          type: array
        ip:
          description: |-
            Ip specifies that the field must be a valid IP (v4 or v6) address in
             byte format
            This field is part of the `well_known` oneof.
            See the documentation for `validate.BytesRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv4:
          description: |-
            Ipv4 specifies that the field must be a valid IPv4 address in byte
             format
            This field is part of the `well_known` oneof.
            See the documentation for `validate.BytesRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv6:
          description: |-
            Ipv6 specifies that the field must be a valid IPv6 address in byte
             format
            This field is part of the `well_known` oneof.
            See the documentation for `validate.BytesRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        len:
          description: Len specifies that this field must be the specified number of bytes
          format: uint64
          readOnly: false
          type: string
        maxLen:
          description: >-
            MaxLen specifies that this field must be the specified number of
            bytes
             at a maximum
          format: uint64
          readOnly: false
          type: string
        minLen:
          description: >-
            MinLen specifies that this field must be the specified number of
            bytes
             at a minimum
          format: uint64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: base64
            type: string
          nullable: true
          readOnly: false
          type: array
        pattern:
          description: |-
            Pattern specifes that this field must match against the specified
             regular expression (RE2 syntax). The included expression should elide
             any delimiters.
          readOnly: false
          type: string
        prefix:
          description: >-
            Prefix specifies that this field must have the specified bytes at
            the
             beginning of the string.
          format: base64
          readOnly: false
          type: string
        suffix:
          description: >-
            Suffix specifies that this field must have the specified bytes at
            the
             end of the string.
          format: base64
          readOnly: false
          type: string
      title: Bytes Rules
      type: object
      x-speakeasy-name-override: BytesRules
    validate.DoubleRules:
      description: DoubleRules describes the constraints applied to `double` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: number
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          readOnly: false
          type: number
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          readOnly: false
          type: number
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            type: number
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          readOnly: false
          type: number
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          readOnly: false
          type: number
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            type: number
          nullable: true
          readOnly: false
          type: array
      title: Double Rules
      type: object
      x-speakeasy-name-override: DoubleRules
    validate.DurationRules:
      description: |-
        DurationRules describe the constraints applied exclusively to the
         `google.protobuf.Duration` well-known type
      nullable: true
      properties:
        const:
          format: duration
          readOnly: false
          type: string
        gt:
          format: duration
          readOnly: false
          type: string
        gte:
          format: duration
          readOnly: false
          type: string
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: duration
            readOnly: false
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          format: duration
          readOnly: false
          type: string
        lte:
          format: duration
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: duration
            readOnly: false
            type: string
          nullable: true
          readOnly: false
          type: array
        required:
          description: Required specifies that this field must be set
          readOnly: false
          type: boolean
      title: Duration Rules
      type: object
      x-speakeasy-name-override: DurationRules
    validate.EnumRules:
      description: EnumRules describe the constraints applied to enum values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int32
          readOnly: false
          type: integer
        definedOnly:
          description: >-
            DefinedOnly specifies that this field must be only one of the
            defined
             values for this enum, failing on any undefined value.
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
      title: Enum Rules
      type: object
      x-speakeasy-name-override: EnumRules
    validate.Fixed32Rules:
      description: Fixed32Rules describes the constraints applied to `fixed32` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: uint32
          readOnly: false
          type: integer
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: uint32
          readOnly: false
          type: integer
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: uint32
          readOnly: false
          type: integer
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: uint32
            type: integer
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: uint32
          readOnly: false
          type: integer
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: uint32
          readOnly: false
          type: integer
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: uint32
            type: integer
          nullable: true
          readOnly: false
          type: array
      title: Fixed 32 Rules
      type: object
      x-speakeasy-name-override: Fixed32Rules
    validate.Fixed64Rules:
      description: Fixed64Rules describes the constraints applied to `fixed64` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: uint64
          readOnly: false
          type: string
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: uint64
          readOnly: false
          type: string
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: uint64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: uint64
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: uint64
          readOnly: false
          type: string
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: uint64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: uint64
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Fixed 64 Rules
      type: object
      x-speakeasy-name-override: Fixed64Rules
    validate.FloatRules:
      description: FloatRules describes the constraints applied to `float` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: number
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          readOnly: false
          type: number
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          readOnly: false
          type: number
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            type: number
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          readOnly: false
          type: number
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          readOnly: false
          type: number
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            type: number
          nullable: true
          readOnly: false
          type: array
      title: Float Rules
      type: object
      x-speakeasy-name-override: FloatRules
    validate.Int32Rules:
      description: Int32Rules describes the constraints applied to `int32` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int32
          readOnly: false
          type: integer
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int32
          readOnly: false
          type: integer
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int32
          readOnly: false
          type: integer
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int32
          readOnly: false
          type: integer
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int32
          readOnly: false
          type: integer
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
      title: Int 32 Rules
      type: object
      x-speakeasy-name-override: Int32Rules
    validate.MapRules:
      description: MapRules describe the constraints applied to `map` values
      nullable: true
      properties:
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        keys:
          $ref: '#/components/schemas/validate.FieldRules'
        maxPairs:
          description: |-
            MaxPairs specifies that this field must have the specified number of
             KVs at a maximum
          format: uint64
          readOnly: false
          type: string
        minPairs:
          description: |-
            MinPairs specifies that this field must have the specified number of
             KVs at a minimum
          format: uint64
          readOnly: false
          type: string
        noSparse:
          description: |-
            NoSparse specifies values in this field cannot be unset. This only
             applies to map's with message value types.
          readOnly: false
          type: boolean
        values:
          $ref: '#/components/schemas/validate.FieldRules'
      title: Map Rules
      type: object
      x-speakeasy-name-override: MapRules
    validate.MessageRules:
      description: >-
        MessageRules describe the constraints applied to embedded message
        values.
         For message-type fields, validation is performed recursively.
      properties:
        required:
          description: Required specifies that this field must be set
          readOnly: false
          type: boolean
        skip:
          description: |-
            Skip specifies that the validation rules of this field should not be
             evaluated
          readOnly: false
          type: boolean
      title: Message Rules
      type: object
      x-speakeasy-name-override: MessageRules
    validate.SFixed32Rules:
      description: SFixed32Rules describes the constraints applied to `sfixed32` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int32
          readOnly: false
          type: integer
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int32
          readOnly: false
          type: integer
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int32
          readOnly: false
          type: integer
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int32
          readOnly: false
          type: integer
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int32
          readOnly: false
          type: integer
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
      title: S Fixed 32 Rules
      type: object
      x-speakeasy-name-override: SFixed32Rules
    validate.SFixed64Rules:
      description: SFixed64Rules describes the constraints applied to `sfixed64` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int64
          readOnly: false
          type: string
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int64
          readOnly: false
          type: string
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int64
          readOnly: false
          type: string
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
      title: S Fixed 64 Rules
      type: object
      x-speakeasy-name-override: SFixed64Rules
    validate.SInt32Rules:
      description: SInt32Rules describes the constraints applied to `sint32` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int32
          readOnly: false
          type: integer
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int32
          readOnly: false
          type: integer
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int32
          readOnly: false
          type: integer
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int32
          readOnly: false
          type: integer
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int32
          readOnly: false
          type: integer
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int32
            type: integer
          nullable: true
          readOnly: false
          type: array
      title: S Int 32 Rules
      type: object
      x-speakeasy-name-override: SInt32Rules
    validate.SInt64Rules:
      description: SInt64Rules describes the constraints applied to `sint64` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int64
          readOnly: false
          type: string
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int64
          readOnly: false
          type: string
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int64
          readOnly: false
          type: string
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
      title: S Int 64 Rules
      type: object
      x-speakeasy-name-override: SInt64Rules
    validate.TimestampRules:
      description: |-
        TimestampRules describe the constraints applied exclusively to the
         `google.protobuf.Timestamp` well-known type
      nullable: true
      properties:
        const:
          format: date-time
          readOnly: false
          type: string
        gt:
          format: date-time
          readOnly: false
          type: string
        gtNow:
          description: >-
            GtNow specifies that this must be greater than the current time.
            GtNow
             can only be used with the Within rule.
          readOnly: false
          type: boolean
        gte:
          format: date-time
          readOnly: false
          type: string
        lt:
          format: date-time
          readOnly: false
          type: string
        ltNow:
          description: |-
            LtNow specifies that this must be less than the current time. LtNow
             can only be used with the Within rule.
          readOnly: false
          type: boolean
        lte:
          format: date-time
          readOnly: false
          type: string
        required:
          description: Required specifies that this field must be set
          readOnly: false
          type: boolean
        within:
          format: duration
          readOnly: false
          type: string
      title: Timestamp Rules
      type: object
      x-speakeasy-name-override: TimestampRules
    validate.UInt32Rules:
      description: UInt32Rules describes the constraints applied to `uint32` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: uint32
          readOnly: false
          type: integer
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: uint32
          readOnly: false
          type: integer
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: uint32
          readOnly: false
          type: integer
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: uint32
            type: integer
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: uint32
          readOnly: false
          type: integer
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: uint32
          readOnly: false
          type: integer
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: uint32
            type: integer
          nullable: true
          readOnly: false
          type: array
      title: U Int 32 Rules
      type: object
      x-speakeasy-name-override: UInt32Rules
    validate.UInt64Rules:
      description: UInt64Rules describes the constraints applied to `uint64` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: uint64
          readOnly: false
          type: string
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: uint64
          readOnly: false
          type: string
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: uint64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: uint64
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: uint64
          readOnly: false
          type: string
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: uint64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: uint64
            type: string
          nullable: true
          readOnly: false
          type: array
      title: U Int 64 Rules
      type: object
      x-speakeasy-name-override: UInt64Rules
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````